## stravalib 1.3.0

=== Makefile ===
TESTDIR=tmp-test-dir-stravalib
PYTEST_ARGS=--cov stravalib stravalib/tests/unit stravalib/tests/integration

help:
	@echo "Commands:"
	@echo ""
	@echo "  install   install package in editable mode"
	@echo "  test      run the test suite (including doctests) and report coverage"
	@echo "  build     build source and wheel distributions"
	@echo "  clean     clean up build and generated files"
	@echo ""


build:
	python -m build

install:
	python -m pip install --no-deps -e .

test:
	# Create tmp dir to ensure that tests are run on the installed version of stravalib
	mkdir -p $(TESTDIR)
	cd $(TESTDIR);
	python -m pytest $(PYTEST_ARGS) $(PROJECT)
	rm -r $(TESTDIR)

## Clean up all unneeded files and directories and things that shouldn't be under version control
clean:
	find . -name "*.pyc" -exec rm -v {} \;
	find . -name "*.orig" -exec rm -v {} \;
	find . -name ".coverage.*" -exec rm -v {} \;
	rm -rvf build dist MANIFEST *.egg-info __pycache__ .coverage .cache .pytest_cache $(PROJECT)/_version_generated.py

=== requirements.txt ===
# Package deps
arrow
pint
pydantic
pytz
requests>=2.0,<3.0dev
responses

# Pre commit hook
pre-commit

# Testing
pytest
# Code coverage
pytest-cov

# Docs
# Pinning to avoid a current bug in 0.13
pydata-sphinx-theme==0.12.0
# Support pydantic autodoc
autodoc_pydantic
sphinx_remove_toctrees
myst-nb
sphinx-autobuild
sphinx-inline-tabs
sphinx_copybutton
sphinx_design

# Support for social / adds meta tags
sphinxext-opengraph

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAUTOGEN = sphinx-autogen
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees  $(SPHINXOPTS) .

.PHONY: help clean html

# This runs if you run make -C docs from the root dir
# This has to go above help to work by default
all: linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  all        generate the complete documentation api and regular"
	@echo "  html       make only the HTML files from the existing rst sources"
	@echo "  clean      clean all local doc directories out"
	@echo "  serve      serve the docs locally using sphinx autobuild"
	@echo "  linkcheck  run sphinx link check on the docs and produce output w broken links"

# Run: make -C docs clean
clean:
	rm -rf $(BUILDDIR)/html/*
	rm -rf $(BUILDDIR)/doctrees
	rm -rf $(BUILDDIR)/linkcheck
	rm -rf reference/api
	rm -rf .ipynb_checkpoints

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

linkcheck: html
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

## Serve live docs in a browser
serve:
	pwd
	sphinx-autobuild ../docs _build/html

=== examples/strava-oauth/requirements.txt ===
Flask~=1.0.2

=== debian/changelog ===
stravalib (1.3.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1035687)

 -- Anton Gladky <gladk@debian.org>  Tue, 16 May 2023 23:08:22 +0200

=== debian/control ===
Source: stravalib
Maintainer: Anton Gladky <gladk@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Section: contrib/libs
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-arrow,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-wheel,
               python3-sphinx-copybutton,
               python3-sphinx-remove-toctrees,,
               python3-sphinxext-opengraph,
               python3-sphinx-inline-tabs,
               python3-myst-parser,
               python3-pytest-cov,
               python3-pydantic,
               python3-pint,
               python3-arrow,
               python3-pytzdata
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/stravalib
Vcs-Git: https://salsa.debian.org/python-team/packages/stravalib
Homepage: https://github.com/stravalib/stravalib

Package: python3-stravalib
Architecture: any
Section: contrib/python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-arrow,
         python3-wheel,
         python3-pydantic,
         python3-pint,
         python3-pytzdata,
         python3-tz,
         python3-requests
Description: tool for accessing and downloading Strava data from the Strava
 V3 web service. Stravalib provides a Client class that supports:
   * Authenticating with stravalib
   * Accessing and downloading strava activity, club and profile data
   * Making changes to account activities

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = stravalib

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -rf pyproject.toml

override_dh_auto_test:
	make test

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/stravalib/stravalib/tags .*/v?(\d\S+)\.tar\.gz

## stravalib 2.0

=== debian/changelog ===
stravalib (2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/watch: Exclude pre-releases.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Oct 2024 13:23:22 +0100

stravalib (2.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Make DPT Maintainer with agreement of Anton Gladky
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Git.
  * Build-Depends: pybuild-plugin-pyproject

  [ Benjamin Drung ]
  * Build-depend on python3-tz (Closes: #1069826)
  * Drop unused python3-pytzdata dependency
  * Drop removing pyproject.toml on clean

  [ Colin Watson ]
  * Fix debian/watch syntax.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Sep 2024 10:27:21 +0100

=== debian/control ===
Source: stravalib
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: contrib/libs
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-arrow,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-wheel,
               python3-sphinx-copybutton,
               python3-sphinx-remove-toctrees,
               python3-sphinxext-opengraph,
               python3-sphinx-inline-tabs,
               python3-tz,
               python3-myst-parser,
               python3-pytest-cov,
               python3-pydantic (>= 2.0),
               python3-pint,
               python3-responses,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/stravalib
Vcs-Git: https://salsa.debian.org/python-team/packages/stravalib.git
Homepage: https://github.com/stravalib/stravalib
Rules-Requires-Root: no

Package: python3-stravalib
Architecture: any
Section: contrib/python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-arrow,
         python3-wheel,
         python3-pydantic,
         python3-pint,
         python3-tz,
         python3-requests
Description: tool for accessing and downloading Strava data from the Strava
 V3 web service. Stravalib provides a Client class that supports:
   * Authenticating with stravalib
   * Accessing and downloading strava activity, club and profile data
   * Making changes to account activities

## stravalib 2.1

=== debian/changelog ===
stravalib (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 10:15:15 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python3-wheel,
                python3-sphinx-copybutton,
                python3-sphinx-remove-toctrees,
+               python3-sphinxcontrib-mermaid,
                python3-sphinxext-opengraph,
                python3-sphinx-inline-tabs,
                python3-tz,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = stravalib

%:
	dh $@ --buildsystem=pybuild

## stravalib 2.2

=== debian/changelog ===
stravalib (2.2-1) unstable; urgency=medium

  * Team upload.
  * Add direct build-dependency on python3-pydantic-core, since it's used
    directly by stravalib.model.
  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2025 02:11:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: contrib/libs
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -22,6 +22,7 @@
                python3-myst-parser,
                python3-pytest-cov,
                python3-pydantic (>= 2.0),
+               python3-pydantic-core,
                python3-pint,
                python3-responses,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = stravalib
export PYBUILD_TEST_ARGS = {dir}/src/stravalib/tests

%:
	dh $@ --buildsystem=pybuild

## stravalib 2.3

=== debian/changelog ===
stravalib (2.3-1) unstable; urgency=medium

  * [c50edf4] New upstream version 2.3
  * [3de4f77] Apply cme fix dpkg. Set Standards-Version: 4.7.0

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Apr 2025 23:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: contrib/libs
 Testsuite: autopkgtest-pkg-pybuild
+XS-Autobuild: no
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -24,8 +25,8 @@
                python3-pydantic (>= 2.0),
                python3-pydantic-core,
                python3-pint,
-               python3-responses,
-Standards-Version: 4.6.2
+               python3-responses
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/stravalib
 Vcs-Git: https://salsa.debian.org/python-team/packages/stravalib.git
 Homepage: https://github.com/stravalib/stravalib

## stravalib 2.4

=== debian/changelog ===
stravalib (2.4-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Aug 2025 22:21:22 +0200

stravalib (2.4-1~exp1) experimental; urgency=medium

  * [e8a8e20] New upstream version 2.4
  * [c5e6569] chore: Bump Standards-Version to 4.7.2

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Jul 2025 00:10:06 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                python3-pydantic-core,
                python3-pint,
                python3-responses
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/stravalib
 Vcs-Git: https://salsa.debian.org/python-team/packages/stravalib.git
 Homepage: https://github.com/stravalib/stravalib

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = stravalib
export PYBUILD_TEST_ARGS = {dir}/src/stravalib/tests
export SETUPTOOLS_SCM_PRETEND_VERSION_FOR_STRAVALIB = $(shell dpkg-parsechangelog --show-field Version | sed 's/-.*//')

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/stravalib/stravalib/tags .*/v?(\d[\.\d]*)\.tar\.gz
